Bug 658977 (CVE-2010-3614) - CVE-2010-3614 bind: key algorithm rollover may mark secure answers as insecure
Summary: CVE-2010-3614 bind: key algorithm rollover may mark secure answers as insecure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3614
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20101201,reported=2...
Depends On: 658987 658990 659266 659267 659268 659269 659270
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 18:16 UTC by Vincent Danen
Modified: 2019-06-08 18:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:06:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0975 normal SHIPPED_LIVE Important: bind security update 2010-12-13 17:48:28 UTC
Red Hat Product Errata RHSA-2010:0976 normal SHIPPED_LIVE Important: bind security update 2010-12-13 17:54:23 UTC

Description Vincent Danen 2010-12-01 18:16:16 UTC
A flaw was found in how named (acting as a DNSSEC validating resolver) could incorrectly mark zone data as insecure when the zone being queried is undergoing a key algorithm rollover [1].

The advisory states:

"named, acting as a DNSSEC validator, was determining if an NS RRset is insecure based on a value that could mean either that the RRset is actually insecure or that there wasn't a matching key for the RRSIG in the DNSKEY RRset when resuming from validating the DNSKEY RRset.  This can happen when in the middle of a DNSKEY algorithm rollover, when two different algorithms were used to sign a zone but only the new set of keys are in the zone DNSKEY RRset."

The upstream advisory [2] notes that this affects all versions of BIND9, although they only specifically point out 9.4, 9.6, and 9.7; the flaw is corrected in 9.4-ESV-R4, 9.6.2-P3, and 9.7.2-P3.  Upstream has also indicated this issue is of low severity.

[1] http://www.isc.org/announcement/guidance-regarding-dec-1st-2010-security-advisories
[2] http://www.isc.org/software/bind/advisories/cve-2010-3614

Comment 1 Vincent Danen 2010-12-01 18:57:41 UTC
Created bind tracking bugs for this issue

Affects: fedora-14 [bug 658987]

Comment 2 Vincent Danen 2010-12-01 18:58:19 UTC
Created bind tracking bugs for this issue

Affects: fedora-13 [bug 658990]

Comment 7 Tomas Hoger 2010-12-07 11:06:32 UTC
This issue is planned to be addressed in bind packages in Red Hat Enterprise Linux 5 and 6.  There's no plan to address this low-impact flaw in Red Hat Enterprise Linux 4, where bind does not implement support for currently used DNSSEC protocol version.

Comment 9 errata-xmlrpc 2010-12-13 17:48:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0975 https://rhn.redhat.com/errata/RHSA-2010-0975.html

Comment 10 errata-xmlrpc 2010-12-13 17:54:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0976 https://rhn.redhat.com/errata/RHSA-2010-0976.html

Comment 11 Vincent Danen 2010-12-18 00:07:31 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact.  Because the version of bind in Red Hat Enterprise Linux 4 does not implement support for the currently-used DNSSEC protocol version, there is no plan to address this flaw there.  It has been addressed in Red Hat Enterprise Linux 5 (via RHSA-2010:0975) and Red Hat Enterprise Linux 6 (via RHSA-2010:0976).


Note You need to log in before you can comment on or make changes to this bug.